Skip to content
vocapable.Docs

Enroll Launch

POST
/v1/outbound-launch
curl --request POST \
--url https://api.vocapable.com/v1/outbound-launch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accepted_offer_version": "example", "accepted_offer_sha256": "example" }'
Media typeapplication/json
LaunchAcceptance
object
accepted_offer_version
required
Accepted Offer Version
string
accepted_offer_sha256
required
Accepted Offer Sha256
string
/^[0-9a-f]{64}$/
Examplegenerated
{
"accepted_offer_version": "example",
"accepted_offer_sha256": "example"
}

Successful Response

Media typeapplication/json
LaunchOffer
object
plan_id
Plan Id
string
default: plan_outbound_launch_mtm_v2
offer_version
Offer Version
string
default: outbound-launch-2026-10-21-v2
offer_sha256
required
Offer Sha256
string
offer_markdown
required
Offer Markdown
string
monthly_base_minor
Monthly Base Minor
integer
0
minute_rate_minor
Minute Rate Minor
string
default: 5 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
attempt_fee_minor
Attempt Fee Minor
string
default: 0.5 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
included_sessions
Included Sessions
integer
default: 1
max_call_seconds
Max Call Seconds
integer
default: 600
monthly_minutes_limit
Monthly Minutes Limit
integer
default: 10000
monthly_attempt_limit
Monthly Attempt Limit
integer
default: 10000
subscription_id
Any of:
string
enrolled
Enrolled
boolean
funding_required
Funding Required
boolean
default: true
Example
{
"plan_id": "plan_outbound_launch_mtm_v2",
"offer_version": "outbound-launch-2026-10-21-v2",
"monthly_base_minor": 0,
"minute_rate_minor": "5",
"attempt_fee_minor": "0.5",
"included_sessions": 1,
"max_call_seconds": 600,
"monthly_minutes_limit": 10000,
"monthly_attempt_limit": 10000,
"enrolled": false,
"funding_required": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}